Example installation on a fresh installed Ubuntu 14.04 LTS

Example installation on a fresh installed Ubuntu 14.04 LTS

Postby tom on Sat Sep 19, 2015 6:00 pm

My environment:
  • Fresh installed Ubuntu (gnome) (64bit)
  • Lenovo M58 with Intel E5400, 4GB Ram, 80GB HDD and Intel GPU
  • Installed only Ubuntu Gnome Desktop from minimal image
  • Install directory /opt/games/auteria
  • download directory is ~/Downloads

Install:
  • sudo mkdir -p /opt/games;sudo chmod g+w /opt/games; sudo chgrp adm /opt/games
  • cd /opt/games
  • tar -xzvf ~/Downloads/Auteria_Beta_1_97_1.tar.gz
  • mv Auteria_Beta_1_97_1/auteria .
  • rmdir Auteria_Beta_1_97_1
  • cd auteria
  • sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 libogg-dev:i386 libvorbis-dev:i386 libsdl1.2-dev:i386 libxft-dev:i386
  • ./auteria (or ./auteria_shader)
Hint: Set CPU Load reduction to maximum before you update, This raise download speed - dont ask me why.


Edit 2015-11-11:Example on a some years old Laptop with 32bit


My environment:
  • Fresh installed Lubuntu (32 bit) (from ubuntu mini iso 14.04 LTS)
  • Benq Joybook R55, Intel Core 2 T2050 , 1 GB Ram, 80 GB HDD and Nvidia GeForce GO 7400
  • legacy nvidia 304.128 driver installed.
  • Install directory /opt/games/auteria
  • download directory is ~/Downloads
Install:
  • sudo mkdir -p /opt/games;sudo chmod g+w /opt/games; sudo chgrp adm /opt/games
  • cd /opt/games
  • tar -xzvf ~/Downloads/Auteria_Beta_1_97_1.tar.gz
  • mv Auteria_Beta_1_97_1/auteria .
  • rmdir Auteria_Beta_1_97_1
  • cd auteria
  • sudo apt-get install libogg-dev libvorbis-dev libsdl1.2-dev libxft-dev
  • ./auteria (or ./auteria_shader)
tom
Site Admin
 
Posts: 787
Joined: Sat Jun 16, 2007 9:50 am

Re: Example installation on a fresh installed Ubuntu 14.04 L

Postby Zilvador on Sun Sep 27, 2015 4:24 pm

Hi tom.

I followed your intructions but got the warning below when trying to install the last two packages: libsdl1.2-dev:i386 and libxft-dev:i386.

"The following packages will be REMOVED:
binutils build-essential debhelper dkms dpkg-dev g++ g++-4.8 gcc gcc-4.8
hardening-includes libavahi-client-dev libavahi-common-dev libcaca-dev
libfontconfig1-dev libfreetype6-dev libgl1-mesa-dev libglib2.0-dev
libglu1-mesa-dev libpng12-dev libpulse-dev libsdl1.2-dev libslang2-dev
libxft-dev lintian mesa-common-dev ndiswrapper-dkms ndiswrapper-source
network-manager-pptp network-manager-pptp-gnome nvidia-304 nvidia-current
pptp-linux
"

The only difference in our setup is that I am running plain Ubuntu 14.04 with Unity (not Gnome version). It is also 64bit.

Do you know how I can continue?
Zilvador
Young Ant
 
Posts: 11
Joined: Thu Feb 05, 2009 9:43 pm

Re: Example installation on a fresh installed Ubuntu 14.04 L

Postby tom on Wed Sep 30, 2015 6:17 pm

Hello Zilvador,

did this remove message appear on apt-get install or did it suggest an autoremove ?
I've both libraries installed i386 and amd64 and I noticed when I installed the 64bit packages the package manager suggested an auto remove because it thinks I would not need it. It does work to install both packages but the manage can be a bit tricky. You may ask this on Ubuntu forum since I'm also not the expert for the debian/ubuntu package manager.
tom
Site Admin
 
Posts: 787
Joined: Sat Jun 16, 2007 9:50 am

Re: Example installation on a fresh installed Ubuntu 14.04 L

Postby Zilvador on Wed Sep 30, 2015 8:32 pm

Hi tom.

There was no autoremove. I put the full output below (translated from Danish). It would be great if you have an idea about what it could be. If not, I will try some forums.

""""""""""
$ sudo apt-get install libsdl1.2-dev:i386 libxft-dev:i386 [sudo]
loading package lists... Done
Building dependency tree
Reading state information... Done

The following packages will be installed:
libasound2-dev:i386 libavahi-client-dev:i386 libavahi-common-dev:i386
libc6-dev:i386 libcaca-dev:i386 libcaca0:i386 libdbus-1-dev:i386
libdrm-dev:i386 libexpat1-dev:i386 libfontconfig1-dev:i386
libfreetype6-dev:i386 libgl1-mesa-dev:i386 libglib2.0-dev:i386
libglu1-mesa:i386 libglu1-mesa-dev:i386 libgpm2:i386 libncursesw5:i386
libpcre3-dev:i386 libpcrecpp0:i386 libpng12-dev:i386
libpthread-stubs0-dev:i386 libpulse-dev:i386 libpulse-mainloop-glib0:i386
libsdl1.2debian:i386 libslang2:i386 libslang2-dev:i386 libx11-dev:i386
libx11-xcb-dev:i386 libxau-dev:i386 libxcb-dri2-0-dev:i386
libxcb-dri3-dev:i386 libxcb-glx0-dev:i386 libxcb-present-dev:i386
libxcb-randr0:i386 libxcb-randr0-dev:i386 libxcb-render0-dev:i386
libxcb-shape0:i386 libxcb-shape0-dev:i386 libxcb-sync-dev:i386
libxcb-xfixes0:i386 libxcb-xfixes0-dev:i386 libxcb1-dev:i386
libxdamage-dev:i386 libxdmcp-dev:i386 libxext-dev:i386 libxfixes-dev:i386
libxft2:i386 libxrender-dev:i386 libxshmfence-dev:i386 libxxf86vm-dev:i386
linux-libc-dev linux-libc-dev:i386 mesa-common-dev:i386 zlib1g-dev:i386
Suggested packages:
libasound2-doc:i386 glibc-doc:i386 manpages-dev:i386 libglib2.0-doc:i386
gpm:i386 libxcb-doc:i386 libxext-doc:i386
Recommended packages:
gcc:i386 c-compiler:i386
The following packages will be UNINSTALLED:
binutils build-essential debhelper dkms dpkg-dev g++ g++-4.8 gcc gcc-4.8
hardening-includes libavahi-client-dev libavahi-common-dev libcaca-dev
libfontconfig1-dev libfreetype6-dev libgl1-mesa-dev libglib2.0-dev
libglu1-mesa-dev libpng12-dev libpulse-dev libsdl1.2-dev libslang2-dev
libxft-dev lintian mesa-common-dev ndiswrapper-dkms ndiswrapper-source
network-manager-pptp network-manager-pptp-gnome nvidia-304 nvidia-current
pptp-linux
The following NEW packages will be installed:
libasound2-dev:i386 libavahi-client-dev:i386 libavahi-common-dev:i386
libc6-dev:i386 libcaca-dev:i386 libcaca0:i386 libdbus-1-dev:i386
libdrm-dev:i386 libexpat1-dev:i386 libfontconfig1-dev:i386
libfreetype6-dev:i386 libgl1-mesa-dev:i386 libglib2.0-dev:i386
libglu1-mesa:i386 libglu1-mesa-dev:i386 libgpm2:i386 libncursesw5:i386
libpcre3-dev:i386 libpcrecpp0:i386 libpng12-dev:i386
libpthread-stubs0-dev:i386 libpulse-dev:i386 libpulse-mainloop-glib0:i386
libsdl1.2-dev:i386 libsdl1.2debian:i386 libslang2:i386 libslang2-dev:i386
libx11-dev:i386 libx11-xcb-dev:i386 libxau-dev:i386 libxcb-dri2-0-dev:i386
libxcb-dri3-dev:i386 libxcb-glx0-dev:i386 libxcb-present-dev:i386
libxcb-randr0:i386 libxcb-randr0-dev:i386 libxcb-render0-dev:i386
libxcb-shape0:i386 libxcb-shape0-dev:i386 libxcb-sync-dev:i386
libxcb-xfixes0:i386 libxcb-xfixes0-dev:i386 libxcb1-dev:i386
libxdamage-dev:i386 libxdmcp-dev:i386 libxext-dev:i386 libxfixes-dev:i386
libxft-dev:i386 libxft2:i386 libxrender-dev:i386 libxshmfence-dev:i386
libxxf86vm-dev:i386 linux-libc-dev:i386 mesa-common-dev:i386 zlib1g-dev:i386
The following packages will be upgraded:
linux-libc-dev
1 upgraded, 55 to be installed, 32 to be uninstalled og 115 are not upgraded.
11,2 MB must be downloaded
After this, 209 MB disk space will be made available.
Continue? [Y/n]
""""""
Zilvador
Young Ant
 
Posts: 11
Joined: Thu Feb 05, 2009 9:43 pm

Re: Example installation on a fresh installed Ubuntu 14.04 L

Postby tom on Sun Oct 04, 2015 11:21 am

The most relevant post I found is: https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1165014, but it does not really help.

Edit: This is maybe interesting: He install the debian package for i386:
http://dev.etlegacy.com/projects/etlegacy/wiki/Ubuntu_1404
tom
Site Admin
 
Posts: 787
Joined: Sat Jun 16, 2007 9:50 am

Re: Example installation on a fresh installed Ubuntu 14.04 L

Postby Zilvador on Sat Jan 09, 2016 8:55 pm

It works! I think it was these commands that finally made it work:

sudo apt-get install libsdl1.2debian:i386
sudo apt-get install libxft2:i386

/Zilvador
Zilvador
Young Ant
 
Posts: 11
Joined: Thu Feb 05, 2009 9:43 pm


Return to Tips and Tricks

Who is online

Users browsing this forum: No registered users and 1 guest


cron